> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all KYB answers

> Retrieve all KYB answers for a specific customer



## OpenAPI

````yaml get /v1/kyb/customer/{customer_id}
openapi: 3.0.0
info:
  title: KYB API
  version: 1.0.0
  description: API documentation for Know Your Business verification flows
servers: []
security:
  - bearerAuth: []
paths:
  /v1/kyb/customer/{customer_id}:
    get:
      tags:
        - KYB Answers
      summary: Get all KYB answers
      description: Retrieve all KYB answers for a specific customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer UUID
      responses:
        '200':
          description: List of KYB answers
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KYBAnswer'
components:
  schemas:
    KYBAnswer:
      type: object
      properties:
        actor_id:
          type: string
          format: uuid
        flow_name:
          type: string
        question_name:
          type: string
        previous_step:
          type: string
        answer:
          type: object
        created_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````